/*
Site:	    sbbengenharia.com.br
Arquivo: 	css/estilos.css
Data: 		28/12/2025
*/

/* ESTILO GERAL */
* {
    margin: 0;          /* Remove margens padrao */
    padding: 0;
    box-sizing: border-box;     /* Garante que padding nao aumente a largura */
    text-decoration: none;
    font-family: "Plus Jakarta Sans", sans-serif;
}

:root {
    --corBranca: #ffffff;
    --corPreta: #000000; 
    --corBege: #f4f4f4;
    --corAzul: #1245ec;
    --corAmarela: #fbca2d;
    --corVerde: #2c6b2e;
    --corAzulEscuro: #2c3e50;
    --corPetuniaBranca): #ecf0f1;    /* Tom de cinza muito claro */
}

html {
    scroll-behavior: smooth;
}

body {
    background-color: var(--corBranca);
    min-height: 100vh;
}

main {
    margin-top: 94px; /* espaço para header fixo */
}

section {
    scroll-margin-top: 94px;     /* altura do header */
}

.tela {
    max-width: 1380px;
    padding: 0 6%;
    margin: 0 auto;
}

.imagens img {
    max-width: 100%;
    height: auto;
}

.conteudo p {
    font-size: 1rem;
    text-align: justify;
    margin: 15px 0;
} 

.conteudo p span {
    font-weight: 800;
}

.obs {
    font-size: 0.75rem;
}

/* Menu vertical com bolinhas na esquerda ou listagem vertical */
.lista ul {
    list-style: none;
} 
  
.lista ul li {
    font-size: 1rem;
    margin-left: 45px;
} 

.lista ul li a {
    color: var(--corPreta);
    transition: .5s;
}

.lista ul li a:hover {
    color: var(--corVerde);
    font-size: 1.1rem;
    font-weight: 600;
}

.titulos-section {
    margin-top: 30px;       /* margem superior do titulo */
    font-size: 0.9rem;
    color: var(--corVerde);
    font-weight: 800;
}

.link a {
    font-size: 1rem; 
    transition: .5s;
}

.link a:hover {
    color: var(--corVerde);
    font-size: 1.1rem;
    font-weight: 600;
}

button {
    border: 2px solid var(--corVerde);      /* propriedades da borda */
    border-radius: 8px;   /* cantos arredondados */
    cursor: pointer;   /* item de menu clicavel */
    font-size: 1rem;
    transition: .5s;
}

button:hover {
    /* aplicado quando passar o mouse sobre o botao */
    background-color: var(--corAmarela);
    color: var(--corVerde);     /* cor do texto */
    font-size: 1.1rem;
    font-weight: 600;
}



/* ESTILO CABECALHO */
header {
	position: fixed;
    /* position: sticky; */
    top: 0;
	width: 100%;        /* ocupa toda a largura */
	z-index: 9999;   /* usar um valor alto para garantir que o menu fique acima de imagens e outros elementos
    que devem rolar por tras do cabecalho
    por padrao o z-index de todos elementos é 1
    Isto só vai funcionar se position for diferente de static */
    /*  padding: 10px 0 0; */
    background-color: var(--corBege);    /* para exibir uma cor permitindo as paginas rolar por baixo do cabecalho */
    /* sem esta cor ficava transparente */
}

header > .tela {
    display: flex;
    align-items: center;   /* centraliza na vertical */
    justify-content: space-between; 
}

header nav.menu-desktop ul {
    display: flex;
    list-style: none;
    gap: 40px;
}

header nav.menu-desktop a {
    color: var(--corPreta);
    font-size: 1rem;
    transition: .5s;
}

header nav.menu-desktop a:hover {
    color: var(--corVerde);
    font-size: 1.1rem;
    font-weight: 600;
}



/* ESTILO INICIO */
section.inicio {
    background-color: var(--corBege);
}

.inicio .img-links {
    display: grid;
    grid-template-columns: repeat(3, 1fr);      /* 3 colunas de imagens */
    gap: 40px;
    max-width: 900px;
    margin: 20px auto;      /* centraliza as imagens na horizontal */
    padding-top: 15px;
    padding-bottom: 15px;     
}

.inicio .img-links a {
    display: block;
    color: var(--corPreta);
    text-align: center;
}

.inicio .img-links img {
    width: 40%;           /* reduz em 40% o tamanho original da imagem do icone */
    height: auto;
    border-radius: 6px;
    transition: transform 0.3s, box-shadow 0.3s;
}

.inicio .img-links img:hover {
    transform: scale(1.05);
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
}



/* ESTILO EMPRESA */
section.empresa {
    background-color: var(--corBege);
}



/* ESTILO SERVICOS */
.servicos {
    background-color: var(--corBege);
}

/* Container principal com Flexbox */
.container {
    display: flex;
    height: 100vh; /* Altura total da viewport */
}

/* Menu lateral ocupando 18% */
.sidebar {
    width: 18%;
    background-color: var(--corAzulEscuro);
    color: var(--corBranca);
    padding: 20px;
}

.sidebar a {
    color: var(--corBranca);
}    

/* Estilização simples para links do menu */
.sidebar ul {
    padding: 0;
}

.sidebar li {
    padding: 10px 0;
    cursor: pointer;
    border-bottom: 1px solid #34495e;
}

.sidebar li a:hover {
    color: var(--corAmarela);
}

/* Area de conteudo ocupando 82% */
.content {
    width: 82%;
    background-color: var(--corPetuniaBranca);
    padding: 20px;
    overflow-y: auto;   /* Permite scroll se o conteudo for longo */
}

.img-texto {
    display: flex;
    gap: 15px;
    /* justify-content: space-between; */
}    

.dois-quadros {
    display: flex;
    gap: 5px;
    max-width: 100%;    /* para que as 2 imagens ocupem na horizontal apenas a largura da tela */
   /* justify-content: space-between; */
}    

.drone img {
    max-width: 100%;    /* para que a foto ocupe na horizontal apenas a largura da tela */
    border: 1px solid var(--corVerde);      /* borda da imagem */
}  





/*
section.menusec2{
    background-color: var(--corBege);
    padding-top: 94px;
}

.menusec2 nav.menu-sec-servicos ul{
    display: flex;
    list-style: none;
    gap: 5px;
}    
*/




/*
section.menusec{
    background-color: var(--corBege); 
    padding-top: 83px;
}
*/



/*
.menusec nav.menu-secundario ul{
    display: flex;
    list-style: none;
    gap: 10px;
}



.menusec nav.menu-secundario a{
    color: var(--corPreta);
    font-size: 1rem;
    transition: .5s;
}

.menusec nav.menu-secundario a:hover{
    background-color: var(--corAmarela);
    color: var(--corVerde);
    font-size: 1.05rem;
    font-weight: 600;
}
*/

/*
section.inspecao{
    background-color: var(--corBege);
    padding-top: 70px;
}

section.instrumentacao{
    background-color: var(--corBege);
    padding-top: 80px;
}

section.paic{
    background-color: var(--corBege);
    padding-top: 90px;
}

section.curso{
    background-color: var(--corBege);
    padding-top: 100px;
}

section.banco-mundial{
    background-color: var(--corBege);
    padding-top: 430px;
}

section.drone{
    background-color: var(--corBege);
    padding-top: 430px;
}

section.revisoes{
    background-color: var(--corBege);
    padding-top: 430px;
}

section.plano-seguranca{
    background-color: var(--corBege);
    padding-top: 430px;
}
*/



/* ESTILO CONSULTORES */
section.consultores {
    background-color: var(--corBege);
    /*  padding-top: 94px;  */
}



/* ESTILO USINAS 

/*
section.usinas{
    background-color: var(--corBege);
    /*  padding-top: 94px; 
}


.usinas ul{
    display: flex;
}


.usinas ul li{
     margin: 0;
}
*/

section.menusec {
    background-color: var(--corBege);
    /*  padding-top: 94px; */
}

.menusec nav.menu-sec-usinas ul {
    display: flex;
    list-style: none;
    gap: 30px;
}    

section.uhe {
    background-color: var(--corBege);      /* cor de fundo */

    /*  padding-top: 20px; */
}

.uhe .titulo-regiao {
    font-size: 1rem;
    color: var(--corVerde);
    font-weight: 800;
    text-align: center;
    margin: 30px 0 0;    /* 30px para cima, zero para esquerda e direita, zero para baixo */
}

.uhe table .menu button {
    padding-top: 0;
    margin-bottom: 2px;    /* Espaço de 2 px abaixo de cada botão */
} 

.uhe table .itens {
    font-size: 1.4rem;
    font-weight: 800; 
}

.uhe table .dados77777-foto td {
    max-height: 20px;   /* Define altura fixa maxima */
}  

.uhe table td {
    vertical-align: top;    /* alinhar imagem no topo da tabela */
}  

.uhe table td .foto img {
    max-width: 100%;    /* para que a foto ocupe na horizontal apenas a largura das 3 colunas da tabela */
    border: 1px solid var(--corVerde);      /* borda da imagem */
    margin-top: 10px;   /* Espaço de 10px acima de cada imagem, mesmo se usina tiver 2 fotos */
}  



/* ESTILO LIVROS */
section.livros {
    background-color: var(--corBege);
    /*  padding-top: 94px;  */
}

.livros .titulo-livro {
    font-size: 0.9rem;
    color: var(--corVerde);
    font-weight: 800;
    text-align: center;
    margin: 30px 0;
}

.livros .livro {
    display: flex;
    gap: 40px;
}    

.livros .livro .txt-livro p {
    text-align: justify;
    padding-bottom: 15px;
}    



/* ESTILO CONTATO */
section.contato{
    background-color: var(--corBege);
    /*  padding-top: 94px;  */
}

.contato > .tela{
	display: flex;
    justify-content: center;   /* para centralizar formulario */ 
}

.contato .msg-form p{
    font-size: 1rem;
    text-align: center;
}    

/* Estilizar formulario */ 
.contato form{
    /*  width: 40%;  /* formulario ocupa 40% da tela - campos alinhados a esquerda */
    width: 500px;
}

.contato form label{
    font-size: 0.8rem;
}

/* Estilizar campos inputs */
/* Iniciar assim -> .contato form input{ */
/* Depois para estilizar campo textarea, como este campo eh semelhante aos inputs 
vamos adicionar, passar para -> .contato form input, .contato form textarea{  */
.contato form input, .contato form textarea{
	width: 100%; 
	padding: 0 10px;
    background-color: var(--corBranca);
	border: 1px solid var(--corPreta);
	outline: none;
	color: var(--corPreta);  
	font-size: 1.0rem;
    border-radius: 10px;
	margin-bottom: 8px;  /* para criar um espaco embaixo de cada campo */
}

/* Estilizar o botao Enviar */ 
.contato form .btn-enviar{
    margin-top: 10px;
	text-align: center;   /* botao posicionado no centro */ 
}

/* Estilizar o botao Enviar (passar mouse muda de cor, etc.) */
.contato form .btn-enviar input{
	border-color: var(--corPreta);
	font-size: 1.2rem;
	font-weight: 600;
    width: 150px;
    height: 40px;
    cursor: pointer;
	transition: .5s;
}

.contato form .btn-enviar input:hover{
	background-color: var(--corAmarela);
	color: var(--corAzul);
}



/* ESTILO RODAPE */
footer {
    /* background-color: var(--corBege);
    padding-top: 120px; 

  background: #222;  */
  
  background-color: var(--corAzulEscuro);
  color: var(--corBranca);
  text-align: center;
  padding: 15px;
  margin-top: 50px;
}

footer > .tela {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

footer .dados {
    display: flex;
    align-items: center;
    gap: 40px;
}

footer .link a {
    color: var(--corBranca);   /* Link dentro do rodape sera de cor branca e muda cfe. classe link */ 
}



/*
footer .rod778877ape{
    background-color: var(--corBege);
    position: sticky;
    bottom: 0;
    width: 100%;
    height: 90px;           /* Define a altura do rodapé 
}
*/